Public Member Functions | Data Fields

# TownResolverObject Struct Reference

Resolver of town properties. More...

`#include <newgrf_town.h>`

Inheritance diagram for TownResolverObject:

## Public Member Functions
| TownResolverObject (const struct GRFFile *grffile, Town *t, bool readonly)
| Resolver for a town.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
## Data Fields
TownScopeResolver | town_scope
| Scope resolver specific for towns.

## Detailed Description

Resolver of town properties.

Definition at line 35 of file newgrf_town.h.

## Constructor & Destructor Documentation

TownResolverObject::TownResolverObject | ( | const struct GRFFile * | grffile,
|  | Town * | t,
|  | bool | readonly |
| ) |  |  |

Resolver for a town.

Parameters:

  | grffile | NewGRF file associated with the town.
  | t | Town of the scope.
  | readonly | Scope may change persistent storage of the town.

Definition at line 169 of file newgrf_town.cpp.

## Member Function Documentation

ScopeResolver* TownResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0` |
| ) |  |  | `[inline, virtual]`

Get a resolver for the scope.

Parameters:

  | scope | Scope to return.
  | relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns:
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 40 of file newgrf_town.h.

References town_scope, and VSG_SCOPE_SELF.

Referenced by NIHTown::Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_town.h
- src/newgrf_town.cpp